Index: TXM/trunk/org.txm.rcp/rcpapplication.product
===================================================================
--- TXM/trunk/org.txm.rcp/rcpapplication.product	(revision 3560)
+++ TXM/trunk/org.txm.rcp/rcpapplication.product	(revision 3561)
@@ -80,8 +80,8 @@
    </launcher>
 
    <vm>
-      <linux include="false">org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.7</linux>
-      <macos include="false">org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.7</macos>
+      <linux include="false">org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.8</linux>
+      <macos include="false">org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.8</macos>
       <solaris include="false">org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.7</solaris>
       <windows include="false">org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.8</windows>
    </vm>
Index: TXM/trunk/org.txm.connlu.core/src/org/txm/conllu/core/function/ImportCoNLLUAnnotations.java
===================================================================
--- TXM/trunk/org.txm.connlu.core/src/org/txm/conllu/core/function/ImportCoNLLUAnnotations.java	(revision 3560)
+++ TXM/trunk/org.txm.connlu.core/src/org/txm/conllu/core/function/ImportCoNLLUAnnotations.java	(revision 3561)
@@ -30,6 +30,14 @@
 			textId = coonluFile.getName().substring(0, coonluFile.getName().length() - 7);
 		}
 		
+		for (String p : headPropertiesToProject) {
+			udPropertiesToImport.add("head-"+p);
+		}
+		
+		for (String p : depsPropertiesToProject) {
+			udPropertiesToImport.add("dep-"+p);
+		}
+		
 		Log.info("** processing text: " + textId);
 		Text text = mainCorpus.getProject().getText(textId);
 		if (text == null) {
@@ -181,7 +189,7 @@
 		
 		return processor.getNInsertions();
 	}
-
+	
 	public static void buildPropertiesProjections(LinkedHashMap<String, HashMap<String, String>> sentenceProperties, Set<String> headPropertiesToProject, Set<String> depsPropertiesToProject) throws IOException, XMLStreamException {
 		
 		//System.out.println("Building "+headPropertiesToProject+" and "+depsPropertiesToProject+" in "+sentenceProperties);
@@ -194,7 +202,7 @@
 				for (String wheadid : sentenceProperties.keySet()) { // find the word head properties
 					
 					HashMap<String, String> headProperties = sentenceProperties.get(wheadid); 
-
+					
 					if (headProperties.get("id").equals(properties.get("head"))) { // a word which head is the current word id
 						// { "form", "lemma", "upos", "xpos", "feats", "deprel", "deps", "misc" };
 						if (headPropertiesToProject.contains("form")) properties.put("head-form", headProperties.get("form"));
@@ -259,16 +267,20 @@
 			HashMap<String, String> properties = sentenceProperties.get(id);
 			ArrayList<String> propertyNames = new ArrayList<String>(properties.keySet());
 			
-			for (String p : propertyNames) {
+			for (String p : propertyNames) { // add # to properties to inject, and remove properties not to inject
 				
-				if (udPropertiesToImport != null && udPropertiesToImport.size() > 0 && !udPropertiesToImport.contains(p)) continue; // keep only the sentence properties to import
-				
-				if (p.startsWith("#")) continue; //property already prefixed with #, do not add the prefix
-				
+				if (p.startsWith("#")) {
+					continue; //property already prefixed with #, do not add the prefix
+				}
+				else if (udPropertiesToImport != null && udPropertiesToImport.size() > 0 && !udPropertiesToImport.contains(p)) {; // keep only the sentence properties to import
+					properties.remove(p);
+					continue; //property already prefixed with #, do not add the prefix
+				}
 				String value = properties.get(p);
 				properties.remove(p);
 				properties.put("#"+propertiesPrefix+p, value);
 			}
+			
 			processor.addProperty(id, properties);
 		}
 		
Index: TXM/trunk/org.txm.conllu.rcp/src/org/txm/conllu/rcp/commands/ImportCoNLLUAnnotationsFromFile.java
===================================================================
--- TXM/trunk/org.txm.conllu.rcp/src/org/txm/conllu/rcp/commands/ImportCoNLLUAnnotationsFromFile.java	(revision 3560)
+++ TXM/trunk/org.txm.conllu.rcp/src/org/txm/conllu/rcp/commands/ImportCoNLLUAnnotationsFromFile.java	(revision 3561)
@@ -64,7 +64,7 @@
 	@Option(name = "propertiesPrefix", usage = "optional prefix for the properties to create", widget = "String", required = true, def = "ud-")
 	String propertiesPrefix;
 	
-	@Option(name = "udPropertiesToImport", usage = "to create the ud properties", widget = "StringArrayMultiple", metaVar="form	lemma	upos	xpos	feats	head	deprel	deps	misc", required = true, def = "form,lemma,upos,xpos,feats,head,deprel,deps,misc")
+	@Option(name = "udPropertiesToImport", usage = "to create the ud properties", widget = "StringArrayMultiple", metaVar="id	form	lemma	upos	xpos	feats	head	deprel	deps	misc", required = true, def = "form,lemma,upos,xpos,feats,head,deprel,deps,misc")
 	String udPropertiesToImport;
 	
 	@Option(name = "overwrite_cqp_properties", usage = "if set the CQP properties are replaced", widget = "Boolean", required = true, def = "false")
Index: TXM/trunk/org.txm.conllu.rcp/src/org/txm/conllu/rcp/commands/ImportCoNLLUAnnotationsFromDirectory.java
===================================================================
--- TXM/trunk/org.txm.conllu.rcp/src/org/txm/conllu/rcp/commands/ImportCoNLLUAnnotationsFromDirectory.java	(revision 3560)
+++ TXM/trunk/org.txm.conllu.rcp/src/org/txm/conllu/rcp/commands/ImportCoNLLUAnnotationsFromDirectory.java	(revision 3561)
@@ -72,7 +72,7 @@
 	@Option(name = "propertiesPrefix", usage = "optional prefix for the properties to create", widget = "String", required = true, def = "ud-")
 	String propertiesPrefix;
 	
-	@Option(name = "udPropertiesToImport", usage = "to create the ud properties", widget = "StringArrayMultiple", metaVar="form	lemma	upos	xpos	feats	head	deprel	deps	misc", required = true, def = "form,lemma,upos,xpos,feats,head,deprel,deps,misc")
+	@Option(name = "udPropertiesToImport", usage = "to create the ud properties", widget = "StringArrayMultiple", metaVar="id	form	lemma	upos	xpos	feats	head	deprel	deps	misc", required = true, def = "form,lemma,upos,xpos,feats,head,deprel,deps,misc")
 	String udPropertiesToImport;
 	
 	@Option(name = "overwrite_cqp_properties", usage = "if set the CQP properties are replaced", widget = "Boolean", required = true, def = "false")
@@ -166,6 +166,12 @@
 		int nTextProcessed = 0;
 		int nWordsInserted = 0;
 		ConsoleProgressBar cpb = new ConsoleProgressBar(files.length);
+		
+		if (files.length == 0) {
+			Log.warning(NLS.bind("** No *.conllu files found in {0}. Aborting.", conlluDirectory));
+			return 0;
+		}
+		
 		for (File coonluFile : files) {
 			cpb.tick();
 			nWordsInserted += ImportCoNLLUAnnotations._importAnnotations(coonluFile, mainCorpus, propertiesPrefix, null, normalizeWordIds, headPropertiesToProject, depsPropertiesToProject, udPropertiesToImport);
